Package ru.bitel.bgbilling.common.bean

# Class BGBaseConstants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants

Direct Known Subclasses:
  `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`, `Constants`

public class BGBaseConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
  `static final int`
  `AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
  `static final String`
  `DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final int`
  `DEFAULT_SUM_MAX`
  `static final int`
  `DEFAULT_SUM_MIN`
  `static final String`
  `KEY_AUTOPAYMENT_ENABLE`
  `static final String`
  `KEY_AUTOPAYMENT_ID`
  `static final String`
  `KEY_AUTOPAYMENT_MODE`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_AUTO_ENABLE`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_MONTH_DAY`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_MONTH_ENABLE`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_MONTH_SUM`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_WEEK_DAY`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_WEEK_ENABLE`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_WEEK_SUM`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final String`
  `KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `KEY_BILLING_NAME`
  `static final String`
  `KEY_COMMISSION_PERCENT`
  `static final String`
  `KEY_COMMISSION_TYPE`
  `static final String`
  `KEY_CUSTOMER_ADDRESS`
  `static final String`
  `KEY_CUSTOMER_ADDRESS_ENABLE`
  `static final String`
  `KEY_CUSTOMER_ADDRESS_REQUIRED`
  `static final String`
  `KEY_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `KEY_CUSTOMER_EMAIL`
  `static final String`
  `KEY_CUSTOMER_EMAIL_ENABLE`
  `static final String`
  `KEY_CUSTOMER_EMAIL_REQUIRED`
  `static final String`
  `KEY_MONTH`
  `static final String`
  `KEY_PAGE`
  `static final String`
  `KEY_PAYMENT_PHONE`
  `static final String`
  `KEY_PERIOD`
  `static final String`
  `KEY_STATUS`
  `static final String`
  `KEY_STATUS_LIST`
  `static final String`
  `KEY_SUM_MAX`
  `static final String`
  `KEY_SUM_MIN`
  `static final String`
  `KEY_TRANSACTIONS`
  `static final String`
  `KEY_YEAR`
  `static final String`
  `PATTERN_CARD`
  `static final String`
  `PATTERN_CONTRACT_COMMENT`
  `static final String`
  `PATTERN_CONTRACT_TITLE`
  `static final String`
  `PATTERN_TRANSACTION_ID`
  `static final String`
  `REQUEST_ATTR_CONTENT_TYPE`
  `static final String`
  `REQUEST_PARAM_CONTENT_TYPE`
  `static final String`
  `REQUEST_PARAM_CUSTOMER_ADDRESS`
  `static final String`
  `REQUEST_PARAM_CUSTOMER_EMAIL`
  `static final String`
  `REQUEST_PARAM_MONTH`
  `static final String`
  `REQUEST_PARAM_PAYMENT_EMAIL`
  `static final String`
  `REQUEST_PARAM_PAYMENT_PHONE`
  `static final String`
  `REQUEST_PARAM_STATUS`
  `static final String`
  `REQUEST_PARAM_SUM`
  `static final String`
  `REQUEST_PARAM_YEAR`
  `static final String`
  `STRING_AMP`
  `static final String`
  `STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGBaseConstants()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIntConstantByName(String name, int defaultValue)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_SUM_MIN

    public static final int DEFAULT_SUM_MIN
    See Also:
      - Constant Field Values

  - ### DEFAULT_SUM_MAX

    public static final int DEFAULT_SUM_MAX
    See Also:
      - Constant Field Values

  - ### DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### PATTERN_CONTRACT_TITLE

    public static final String PATTERN_CONTRACT_TITLE
    See Also:
      - Constant Field Values

  - ### PATTERN_CONTRACT_COMMENT

    public static final String PATTERN_CONTRACT_COMMENT
    See Also:
      - Constant Field Values

  - ### PATTERN_TRANSACTION_ID

    public static final String PATTERN_TRANSACTION_ID
    See Also:
      - Constant Field Values

  - ### PATTERN_CARD

    public static final String PATTERN_CARD
    See Also:
      - Constant Field Values

  - ### AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

    public static final int AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

    public static final int AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAGE

    public static final String KEY_PAGE
    See Also:
      - Constant Field Values

  - ### KEY_YEAR

    public static final String KEY_YEAR
    See Also:
      - Constant Field Values

  - ### KEY_MONTH

    public static final String KEY_MONTH
    See Also:
      - Constant Field Values

  - ### KEY_STATUS

    public static final String KEY_STATUS
    See Also:
      - Constant Field Values

  - ### KEY_PERIOD

    public static final String KEY_PERIOD
    See Also:
      - Constant Field Values

  - ### KEY_SUM_MIN

    public static final String KEY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_SUM_MAX

    public static final String KEY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_STATUS_LIST

    public static final String KEY_STATUS_LIST
    See Also:
      - Constant Field Values

  - ### KEY_TRANSACTIONS

    public static final String KEY_TRANSACTIONS
    See Also:
      - Constant Field Values

  - ### KEY_COMMISSION_TYPE

    public static final String KEY_COMMISSION_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_COMMISSION_PERCENT

    public static final String KEY_COMMISSION_PERCENT
    See Also:
      - Constant Field Values

  - ### KEY_CUSTOMER_EMAIL

    public static final String KEY_CUSTOMER_EMAIL
    See Also:
      - Constant Field Values

  - ### KEY_CUSTOMER_EMAIL_ENABLE

    public static final String KEY_CUSTOMER_EMAIL_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_CUSTOMER_EMAIL_REQUIRED

    public static final String KEY_CUSTOMER_EMAIL_REQUIRED
    See Also:
      - Constant Field Values

  - ### KEY_CUSTOMER_ADDRESS

    public static final String KEY_CUSTOMER_ADDRESS
    See Also:
      - Constant Field Values

  - ### KEY_CUSTOMER_ADDRESS_ENABLE

    public static final String KEY_CUSTOMER_ADDRESS_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_CUSTOMER_ADDRESS_TITLE

    public static final String KEY_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_CUSTOMER_ADDRESS_REQUIRED

    public static final String KEY_CUSTOMER_ADDRESS_REQUIRED
    See Also:
      - Constant Field Values

  - ### KEY_PAYMENT_PHONE

    public static final String KEY_PAYMENT_PHONE
    See Also:
      - Constant Field Values

  - ### KEY_BILLING_NAME

    public static final String KEY_BILLING_NAME
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_ENABLE

    public static final String KEY_AUTOPAYMENT_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE

    public static final String KEY_AUTOPAYMENT_MODE
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_WEEK_ENABLE

    public static final String KEY_AUTOPAYMENT_MODE_WEEK_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_WEEK_DAY

    public static final String KEY_AUTOPAYMENT_MODE_WEEK_DAY
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_WEEK_SUM

    public static final String KEY_AUTOPAYMENT_MODE_WEEK_SUM
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final String KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final String KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_MONTH_ENABLE

    public static final String KEY_AUTOPAYMENT_MODE_MONTH_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_MONTH_DAY

    public static final String KEY_AUTOPAYMENT_MODE_MONTH_DAY
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_MONTH_SUM

    public static final String KEY_AUTOPAYMENT_MODE_MONTH_SUM
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final String KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final String KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_AUTO_ENABLE

    public static final String KEY_AUTOPAYMENT_MODE_AUTO_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM

    public static final String KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final String KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM

    public static final String KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final String KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM

    public static final String KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final String KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_ID

    public static final String KEY_AUTOPAYMENT_ID
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_SUM

    public static final String REQUEST_PARAM_SUM
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_YEAR

    public static final String REQUEST_PARAM_YEAR
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_MONTH

    public static final String REQUEST_PARAM_MONTH
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_STATUS

    public static final String REQUEST_PARAM_STATUS
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_CONTENT_TYPE

    public static final String REQUEST_PARAM_CONTENT_TYPE
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_CUSTOMER_ADDRESS

    public static final String REQUEST_PARAM_CUSTOMER_ADDRESS
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_CUSTOMER_EMAIL

    public static final String REQUEST_PARAM_CUSTOMER_EMAIL
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_PAYMENT_EMAIL

    public static final String REQUEST_PARAM_PAYMENT_EMAIL
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_PAYMENT_PHONE

    public static final String REQUEST_PARAM_PAYMENT_PHONE
    See Also:
      - Constant Field Values

  - ### REQUEST_ATTR_CONTENT_TYPE

    public static final String REQUEST_ATTR_CONTENT_TYPE
    See Also:
      - Constant Field Values

  - ### STRING_EQUALS

    public static final String STRING_EQUALS
    See Also:
      - Constant Field Values

  - ### STRING_AMP

    public static final String STRING_AMP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BGBaseConstants

    public BGBaseConstants()

- ## Method Details

  - ### getIntConstantByName

    public int getIntConstantByName(String name, int defaultValue)